/*
 * event.h
 *
 * periodic event scheduler
 */

/* $Id: event.h,v 1.1 2000/03/10 01:48:40 nyef Exp $ */

#ifndef EVENT_H
#define EVENT_H

#include "cal.h"

struct event {
    struct event *next;
    int timeleft;
    int duration;
    void (*callback)(void);
};

typedef struct event_scheduler *event_scheduler;

void event_register(event_scheduler scheduler, struct event *new_event);
void event_timeslice(event_scheduler scheduler);
event_scheduler new_event_scheduler(cal_cpu cpu);

#endif EVENT_H

/*
 * $Log: event.h,v $
 * Revision 1.1  2000/03/10 01:48:40  nyef
 * Initial revision
 *
 */
